Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSurfaceBox Class Reference
Surface

## Description

Represents a surface bounding box tool.

Inheritance diagram for GoSurfaceBox:

## Public Member Functions
kStatus | GoSurfaceBox_EnableRegion (GoSurfaceBox tool, kBool enable)
| Enables or disables the tool region. More...
kStatus | GoSurfaceBox_EnableZRotation (GoSurfaceBox tool, kBool enable)
| Enables or disables Z-rotation. More...
GoSurfaceBoxGlobalX | GoSurfaceBox_GlobalXMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global X measurement object. More...
GoSurfaceBoxGlobalY | GoSurfaceBox_GlobalYMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global Y measurement object. More...
GoSurfaceBoxHeight | GoSurfaceBox_HeightMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Height measurement object. More...
GoSurfaceBoxLength | GoSurfaceBox_LengthMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Length measurement object. More...
GoRegion3d | GoSurfaceBox_Region (GoSurfaceBox tool)
| Gets the surface bounding box region. More...
kBool | GoSurfaceBox_RegionEnabled (GoSurfaceBox tool)
| Returns the enabled state of the tool region. More...
GoSurfaceBoxWidth | GoSurfaceBox_WidthMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Width measurement object. More...
GoSurfaceBoxX | GoSurfaceBox_XMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox X measurement object. More...
GoSurfaceBoxY | GoSurfaceBox_YMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Y measurement object. More...
GoSurfaceBoxZAngle | GoSurfaceBox_ZAngleMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Z Angle measurement object. More...
GoSurfaceBoxZ | GoSurfaceBox_ZMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Z measurement object. More...
kBool | GoSurfaceBox_ZRotationEnabled (GoSurfaceBox tool)
| Returns the enabled state of Z-rotation. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

## Member Function Documentation

kStatus GoSurfaceBox_EnableRegion | ( | GoSurfaceBox | tool,
|  | kBool | enable
| ) |  |

Enables or disables the tool region.

Parameters

  tool | GoSurfaceBox object.
  enable | kTRUE to enable the tool region, kFALSE to disable it.

Returns
  Operation status.

kStatus GoSurfaceBox_EnableZRotation | ( | GoSurfaceBox | tool,
|  | kBool | enable
| ) |  |

Enables or disables Z-rotation.

Parameters

  tool | GoSurfaceBox object.
  enable | kTRUE to enable Z-rotation, kFALSE to disable it.

Returns
  Operation status.

GoSurfaceBoxGlobalX GoSurfaceBox_GlobalXMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox global X measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox global X measurement.

GoSurfaceBoxGlobalY GoSurfaceBox_GlobalYMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox global Y measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox global Y measurement.

GoSurfaceBoxHeight GoSurfaceBox_HeightMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox Height measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox Height measurement.

GoSurfaceBoxLength GoSurfaceBox_LengthMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox Length measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox Length measurement.

GoRegion3d GoSurfaceBox_Region | ( | GoSurfaceBox | tool | ) |

Gets the surface bounding box region.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoRegion3d object.

kBool GoSurfaceBox_RegionEnabled | ( | GoSurfaceBox | tool | ) |

Returns the enabled state of the tool region.

Parameters

  tool | GoSurfaceBox object.

Returns
  kTRUE if enabled and kFALSE if disabled.

GoSurfaceBoxWidth GoSurfaceBox_WidthMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox Width measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox Width measurement.

GoSurfaceBoxX GoSurfaceBox_XMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox X measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox X measurement.

GoSurfaceBoxY GoSurfaceBox_YMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox Y measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox Y measurement.

GoSurfaceBoxZAngle GoSurfaceBox_ZAngleMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox Z Angle measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox Z Angle measurement.

GoSurfaceBoxZ GoSurfaceBox_ZMeasurement | ( | GoSurfaceBox | tool | ) |

Returns a GoSurfaceBox Z measurement object.

Parameters

  tool | GoSurfaceBox object.

Returns
  A GoSurfaceBox Z measurement.

kBool GoSurfaceBox_ZRotationEnabled | ( | GoSurfaceBox | tool | ) |

Returns the enabled state of Z-rotation.

Parameters

  tool | GoSurfaceBox object.

Returns
  kTRUE if enabled and kFALSE if disabled.

kStatus GoSurfaceTool_SetSource | ( | GoSurfaceTool | tool,
|  | GoDataSource | source
| ) |  |
| inherited

Sets the data source.

Parameters

  tool | GoSurfaceTool object.
  source | GoDataSource object.

Returns
  Operation status.

kStatus GoSurfaceTool_SetXAnchor | ( | GoSurfaceTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the X-anchoring source.

Parameters

  tool | GoSurfaceTool object.
  id | The measurement ID of a valid X-anchoring source.

Returns
  Operation status.

kStatus GoSurfaceTool_SetYAnchor | ( | GoSurfaceTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the Y-anchoring source.

Parameters

  tool | GoSurfaceTool object.
  id | The measurement ID of a valid Y-anchoring source.

Returns
  Operation status.

kStatus GoSurfaceTool_SetZAnchor | ( | GoSurfaceTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the Z-anchoring source.

Parameters

  tool | GoSurfaceTool object.
  id | The measurement ID of a valid Z-anchoring source.

Returns
  Operation status.

GoDataSource GoSurfaceTool_Source | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the data source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The data source.

k32u GoSurfaceTool_SourceOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the data source option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The tool data source option at the given index, or k32U_MAX if an invalid index is given.

kSize GoSurfaceTool_SourceOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the data source option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The current tool data source option list count.

k32s GoSurfaceTool_XAnchor | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the current X-anchoring source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The X-anchoring source or -1 if no source is currently set.

kBool GoSurfaceTool_XAnchorEnabled | ( | GoSurfaceTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring.

Parameters

  tool | GoSurfaceTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoSurfaceTool_XAnchorOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the X-anchoring option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The X-anchoring option at the given index or k32U_MAX if invalid.

kSize GoSurfaceTool_XAnchorOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the X-anchoring option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The X-anchoring option list count.

k32s GoSurfaceTool_YAnchor | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the current Y-anchoring source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The Y-anchoring source or -1 if no source is currently set.

kBool GoSurfaceTool_YAnchorEnabled | ( | GoSurfaceTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring.

Parameters

  tool | GoSurfaceTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoSurfaceTool_YAnchorOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the Y-anchoring option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The Y-anchoring option at the given index or k32U_MAX if invalid.

kSize GoSurfaceTool_YAnchorOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the Y-anchoring option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The Y-anchoring option list count.

k32s GoSurfaceTool_ZAnchor | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the current Z-anchoring source.

Parameters

  tool | GoSurfaceTool object.

Returns
  The Z-anchoring source or -1 if no source is currently set.

kBool GoSurfaceTool_ZAnchorEnabled | ( | GoSurfaceTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring.

Parameters

  tool | GoSurfaceTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoSurfaceTool_ZAnchorOptionAt | ( | GoSurfaceTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the Z-anchoring option at the given index.

Parameters

  tool | GoSurfaceTool object.
  index | The index of the option list to access.

Returns
  The Z-anchoring option at the given index or k32U_MAX if invalid.

kSize GoSurfaceTool_ZAnchorOptionCount | ( | GoSurfaceTool | tool | ) |
| inherited

Gets the Z-anchoring option list count.

Parameters

  tool | GoSurfaceTool object.

Returns
  The X-anchoring option list count.

GoMeasurement GoTool_FindMeasurementByType | ( | GoTool | tool,
|  | GoMeasurementType | type
| ) |  |
| inherited

Retrieves the first found instance of a measurement for a given enumeration type.

Parameters

  tool | GoTool object.
  type | A GoMeasurementType representing the measurement type to find in the given tool.

Returns
  A measurement object if one is found, otherwise kNULL.

GoMeasurement GoTool_MeasurementAt | ( | GoTool | tool,
|  | kSize | index
| ) |  |
| inherited

Retrieves the measurement at the given index.

Parameters

  tool | GoTool object.
  index | The index of the measurement.

Returns
  The measurement at the given index or kNULL if an invalid index is provided.

kSize GoTool_MeasurementCount | ( | GoTool | tool | ) |
| inherited

Returns the measurement count.

Parameters

  tool | GoTool object.

Returns
  The measurement count.

kStatus GoTool_Name | ( | GoTool | tool,
|  | kChar * | name,
|  | kSize | capacity
| ) |  |
| inherited

Retrieves the name of the tool.

Parameters

  tool | GoTool object.
  name | Receives the name of the tool.
  capacity | The maximum capacity of the name array.

Returns
  Operation status.

kStatus GoTool_SetName | ( | GoTool | tool,
|  | const kChar * | name
| ) |  |
| inherited

Sets the name of the tool.

Parameters

  tool | GoTool object.
  name | The name to be set for the tool.

Returns
  Operation status.

GoToolType GoTool_Type | ( | GoTool | tool | ) |
| inherited

Retrieves the tool type enumeration value of the tool.

Parameters

  tool | GoTool object.

Returns
  The tool type enumeration value.

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h